<template>
  <div
    class="progress"
    :class="{small:small, 'progress-rounded': rounded}">
    <div
      class="progress-shadow"
      :style="{backgroundColor: shadowColor}"></div>
    <div
      class="progress-bar"
      :class="!color ? type : ''"
      :style="{width: value, background: color}"></div>
  </div>
</template>

<script>
  export default {
    name: "Progress",
    props: {
      small: {
        type: Boolean,
        default: false
      },
      type: {
        type: String,
        default: 'orange'
      },
      value: {
        type: String,
        default: '0%'
      },
      shadowColor: {
        type: String,
        default: '#202b3f'
      },
      color: {
        type: String,
        default: ''
      },
      rounded: {
        type: Boolean,
        default: false
      }
    },
    computed: {
      styles() {
        return style;
      }
    }
  }
</script>
